package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :  产品条码事务表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-05-22 9:42
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_SERIAL_SN_TRANS")
@Api("班次信息")
public class WmsSerialSnTrans extends BaseBean {

    @Column(name="SERIAL_SN")
    @ApiParam("产品条码")
    private String serialSn;

    @Column(name="BH_TYPE")
    @ApiParam("BH类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.FG_INSTOCK_SN_TYPE.class)
    private Integer bhType;

    @Column(name="PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name="SRC_STOCK_SN")
    @ApiParam("源库存条码")
    private String srcStockSn;

    @Column(name="DEST_STOCK_SN")
    @ApiParam("目标库存条码")
    private String destStockSn;

    @Column(name="TRANS_TYPE")
    @ApiParam("操作类型")
    private Integer transType;
}
